import java.io.FileInputStream;
import java.io.IOException;
import java.util.Iterator;
import java.util.List;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;

import cd.*;

public class Main {
    public static void main( String[] args ) {
        try {
            JAXBContext jc = JAXBContext.newInstance("cd");
            Unmarshaller u = jc.createUnmarshaller();
            Cd _cd = (Cd)u.unmarshal(new FileInputStream( "cd.xml"));
            List mixedContent = _cd.getContent();
            for (int i = 0; i < mixedContent.size(); i++) {
              Object mixed = mixedContent.get(i);
              if (mixed instanceof String) {
                System.out.println("PCData = " + mixed);
              } else if (mixed instanceof Cd.Artist) {
                System.out.println("Artist = " + ((Cd.Artist)mixed).getValue());
              } else if (mixed instanceof Cd.Title) {
                System.out.println("Title = " + ((Cd.Title)mixed).getValue());
              }
            }
        } catch( JAXBException je ) {
            je.printStackTrace();
        } catch( IOException ioe ) {
            ioe.printStackTrace();
        }
    }
}
